<?php
/*
Plugin Name: Page Feed
Description: In Wordpress 2.1+, fixes Page feeds so they show Page content instead of an empty comments feed.
Author: Sam
Version: 0.3
Plugin URI:	http://samm.dreamhosters.com/plugins/page-feed/
*/

add_action('parse_query', 'page_feed_parse_query');

function page_feed_parse_query($the_query) {
	if ( is_feed() && is_page() ) {
		$the_query->set('withoutcomments', 1);
		$the_query->is_comment_feed = false; // Wordpress >= 2.2
	}
	// print_r($the_query);
}


?>